import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-30 10:31
 */
export interface QuickTask{
    /**
    * id
    * @type { string }
    */
    id?: string;
    /**
    * 服务中心id
    * @type { string }
    */
    serviceCenterId?: string;
    /**
    * 应用id
    * @type { string }
    */
    appId?: string;
    /**
    * 任务类型（01-url调用；02-中台服务调用）
    * @type { string }
    */
    taskType?: string;
    /**
    * 任务编号
    * @type { string }
    */
    taskCode?: string;
    /**
    * 任务名称
    * @type { string }
    */
    taskName?: string;
    /**
    * 概要介绍
    * @type { string }
    */
    description?: string;
    /**
    * Cron表达式
    * @type { string }
    */
    cron?: string;
    /**
    * 预计最大耗时
    * @type { number }
    */
    maxCostTime?: number;
    /**
    * 任务内容
    * @type { string }
    */
    taskContent?: string;
    /**
    * deleted
    * @type { boolean }
    */
    deleted?: boolean;
    /**
    * 是否启用
    * @type { boolean }
    */
    enabled?: boolean;
    /**
    * 增删改为true，调度后为false
    * @type { boolean }
    */
    changed?: boolean;
    /**
    * last_run_time
    * @type { Date }
    */
    lastRunTime?: Date;
    /**
    * enable_alert
    * @type { boolean }
    */
    enableAlert?: boolean;
    /**
    * alert_cron
    * @type { string }
    */
    alertCron?: string;
    /**
    * alert_template_id
    * @type { string }
    */
    alertTemplateId?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * extend field in SysServiceCenter
    * 名称
    * @type { string }
    */
    serviceCenterName11?: string;
    /**
    * extend field in SysServiceCenter
    * 描述
    * @type { string }
    */
    description11?: string;

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class QuickTaskMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','id');
    }
    static get SERVICE_CENTER_ID(): FieldInfo{  
        return new FieldInfo('serviceCenterId','服务中心id');
    }
    static get APP_ID(): FieldInfo{  
        return new FieldInfo('appId','应用id');
    }
    static get TASK_TYPE(): FieldInfo{  
        return new FieldInfo('taskType','任务类型（01-url调用；02-中台服务调用）');
    }
    static get TASK_CODE(): FieldInfo{  
        return new FieldInfo('taskCode','任务编号');
    }
    static get TASK_NAME(): FieldInfo{  
        return new FieldInfo('taskName','任务名称');
    }
    static get DESCRIPTION(): FieldInfo{  
        return new FieldInfo('description','概要介绍');
    }
    static get CRON(): FieldInfo{  
        return new FieldInfo('cron','Cron表达式');
    }
    static get MAX_COST_TIME(): FieldInfo{  
        return new FieldInfo('maxCostTime','预计最大耗时');
    }
    static get TASK_CONTENT(): FieldInfo{  
        return new FieldInfo('taskContent','任务内容');
    }
    static get DELETED(): FieldInfo{  
        return new FieldInfo('deleted','deleted');
    }
    static get ENABLED(): FieldInfo{  
        return new FieldInfo('enabled','是否启用');
    }
    static get CHANGED(): FieldInfo{  
        return new FieldInfo('changed','增删改为true，调度后为false');
    }
    static get LAST_RUN_TIME(): FieldInfo{  
        return new FieldInfo('lastRunTime','last_run_time');
    }
    static get ENABLE_ALERT(): FieldInfo{  
        return new FieldInfo('enableAlert','enable_alert');
    }
    static get ALERT_CRON(): FieldInfo{  
        return new FieldInfo('alertCron','alert_cron');
    }
    static get ALERT_TEMPLATE_ID(): FieldInfo{  
        return new FieldInfo('alertTemplateId','alert_template_id');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','create_time');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','update_time');
    }
    static get SERVICE_CENTER_NAME11(): FieldInfo{  
        return new FieldInfo('serviceCenterName11','名称');
    }
    static get DESCRIPTION11(): FieldInfo{  
        return new FieldInfo('description11','描述');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-30 10:31
 */
export interface SysServiceCenter{
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 代码
    * @type { string }
    */
    code?: string;
    /**
    * 名称
    * @type { string }
    */
    name?: string;
    /**
    * 描述
    * @type { string }
    */
    description?: string;
    /**
    * GIT服务ID
    * @type { string }
    */
    gitId?: string;
    /**
    * 删除标记
    * @type { boolean }
    */
    deleted?: boolean;
    /**
    * 创建人ID
    * @type { string }
    */
    createUserId?: string;
    /**
    * 修改人ID
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * state
    * @type { number }
    */
    state?: number;
    /**
    * 子表 QuickTask 
    * @type { QuickTask[] }
    */
    quickTask?:QuickTask[];

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class SysServiceCenterMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','主键');
    }
    static get CODE(): FieldInfo{  
        return new FieldInfo('code','代码');
    }
    static get NAME(): FieldInfo{  
        return new FieldInfo('name','名称');
    }
    static get DESCRIPTION(): FieldInfo{  
        return new FieldInfo('description','描述');
    }
    static get GIT_ID(): FieldInfo{  
        return new FieldInfo('gitId','GIT服务ID');
    }
    static get DELETED(): FieldInfo{  
        return new FieldInfo('deleted','删除标记');
    }
    static get CREATE_USER_ID(): FieldInfo{  
        return new FieldInfo('createUserId','创建人ID');
    }
    static get UPDATE_USER_ID(): FieldInfo{  
        return new FieldInfo('updateUserId','修改人ID');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get STATE(): FieldInfo{  
        return new FieldInfo('state','state');
    }
}


